Minimum System Requirements

Campus Cloud Requirements

When requesting technical support from Ready Education, please ensure your operating system and browser meet certain minimum requirements, listed below. 

    • An updated version of a supported browsers (*)
      Campus Cloud supports the following browsers:
      - Microsoft Edge
      - Mozilla Firefox
      - Google Chrome
      - Apple Safari

      Ready Education supports current versions of each of the above browsers. To access Campus Cloud, you will need a device with the following specifications:
      - An updated version of Windows, version 7 or higher
      - A display of 1280 * 800 resolution or higher
      - An internet connection

    • An updated version of a supported browser (*)
      - Mozilla Firefox
      - Google Chrome
      - Apple Safari

      Ready Education supports current versions of each of the above browsers. To access Campus Cloud, you will need a device with the following specifications:
      - An updated version of OS X, version 10.6 or higher
      - A display of 1280 * 800 resolution or higher
      - An internet connection

* Current browser versions: We test and verify Campus Cloud on current, supported versions of Edge, Chrome, Firefox, and Safari. 

Campus Cloud may run on unsupported versions of these browsers, but we cannot guarantee 100% compatibility in those cases. To receive technical support, first ensure your browser has been updated to a supported version. 

For a list of supported browser versions, please refer to the Wikipedia page for each: 

Mobile App Requirements

For the most up-to-date system requirements of your campus mobile app, check the App Store and Play Store:

The app info includes the minimum system requirements for your app. The minimum system requirements for the campus mobile app are: 

  • Android version 4.2; or
  • iOS 13.0 on iPhone, iPad, or iPad Touch